<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Profile;
use App\Models\User;

class UserController extends Controller
{
    public function updateProfile(Request $request)
    {
    	$postData = $request->all();
    	$postData['date_of_birth'] = \Carbon\Carbon::parse($postData['date_of_birth']);
        $profile = Profile::create($request->all());
        return response()->json($profile, 200);
    }


    public function getUserProfile($userId)
    {
    	$userData = User::find($userId);
        return response()->json($userData, 200);
    }
}
