<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Profile extends Model
{
    use HasFactory;

    protected $table = 'users_profile';
    protected $fillable = ['user_id','first_name','last_name','phone_number','date_of_birth','allow_biometric_setup', 'type_of_content', 'handness'];
    protected $dates = ['date_of_birth'];
    protected $hidden = ['created_at','updated_at'];
}
