<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/login/{provider}', [AuthController::class,'redirectToProvider']);
Route::post('/update/profile', [UserController::class,'updateProfile']);
Route::post('/profile/{userId}', [UserController::class,'updateProfile']);

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});



